## org.eclipse.emf.ecore.xml.type
Interface SimpleAnyType

All Superinterfaces:
  AnyType, EObject, Notifier

All Known Implementing Classes:
  SimpleAnyTypeImpl

    public interface SimpleAnyType

extends AnyType

A representation of the model object 'Simple Any Type'.

The following features are supported:

- `Raw Value`
- `Value`
- `Instance Type`

See Also:
  `XMLTypePackage.getSimpleAnyType()`

Method Summary
`EDataType` `getInstanceType()` Returns the value of the 'Instance Type' reference
`java.lang.String` `getRawValue()` Returns the value of the 'Raw Value' attribute
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute
`void` `setInstanceType(EDataType value)` Sets the value of the '`Instance Type`' reference
`void` `setRawValue(java.lang.String value)` Sets the value of the '`Raw Value`' attribute
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.xml.type.AnyType
`getAny, getAnyAttribute, getMixed`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRawValue

    java.lang.String getRawValue()

  Returns the value of the 'Raw Value' attribute.

  Returns:
    the value of the 'Raw Value' attribute.
  See Also:
    `setRawValue(String)`, `XMLTypePackage.getSimpleAnyType_RawValue()`

### setRawValue

    void setRawValue(java.lang.String value)

  Sets the value of the '`Raw Value`' attribute.

  Parameters:
    `value` - the new value of the 'Raw Value' attribute.
  See Also:
    `getRawValue()`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `XMLTypePackage.getSimpleAnyType_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getInstanceType

    EDataType getInstanceType()

  Returns the value of the 'Instance Type' reference.

  Returns:
    the value of the 'Instance Type' reference.
  See Also:
    `setInstanceType(EDataType)`, `XMLTypePackage.getSimpleAnyType_InstanceType()`

### setInstanceType

    void setInstanceType(EDataType value)

  Sets the value of the '`Instance Type`' reference.

  Parameters:
    `value` - the new value of the 'Instance Type' reference.
  See Also:
    `getInstanceType()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.